org.modeshape.jcr.api.monitor

## Enum Window

- java.lang.Object
- - java.lang.Enum<Window>
  - - org.modeshape.jcr.api.monitor.Window

- All Implemented Interfaces:
    Serializable, Comparable<Window>

      public enum Window
      extends Enum<Window>

  The specification of the window for obtaining the history and statistics for a given metric.
  Since:
    3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PREVIOUS_24_HOURS` The window for accessing a metric's history and statistics for each hour during the last day (24 hours).
    `PREVIOUS_52_WEEKS` The window for accessing a metric's history and statistics for each week during the last year (52 weeks).
    `PREVIOUS_60_MINUTES` The window for accessing a metric's history and statistics for each minute during the last hour (60 minutes).
    `PREVIOUS_60_SECONDS` The window for accessing a metric's history and statistics for ten 5-second intervals during the last minute (60 seconds).
    `PREVIOUS_7_DAYS` The window for accessing a metric's history and statistics for each day during the last week (7 days).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Window` | `fromLiteral(String literal)` Get the `Window` that has the supplied literal.
    `String` | `getLiteral()` The literal string form of the window.
    `static Window` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Window[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREVIOUS_60_SECONDS

          public static final Window PREVIOUS_60_SECONDS

      The window for accessing a metric's history and statistics for ten 5-second intervals during the last minute (60 seconds).

    - #### PREVIOUS_60_MINUTES

          public static final Window PREVIOUS_60_MINUTES

      The window for accessing a metric's history and statistics for each minute during the last hour (60 minutes).

    - #### PREVIOUS_24_HOURS

          public static final Window PREVIOUS_24_HOURS

      The window for accessing a metric's history and statistics for each hour during the last day (24 hours).

    - #### PREVIOUS_7_DAYS

          public static final Window PREVIOUS_7_DAYS

      The window for accessing a metric's history and statistics for each day during the last week (7 days).

    - #### PREVIOUS_52_WEEKS

          public static final Window PREVIOUS_52_WEEKS

      The window for accessing a metric's history and statistics for each week during the last year (52 weeks).

  - ### Method Detail

    - #### values

          public static Window[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Window c : Window.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Window valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLiteral

          public String getLiteral()

      The literal string form of the window.
      Returns:
        the literal string form; never null or empty

    - #### fromLiteral

          public static Window fromLiteral(String literal)

      Get the `Window` that has the supplied literal.
      Parameters:
        `literal` - the literal (can be of any case); may not be null
      Returns:
        the window, or null if there is no Window enum value for the given literal string

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.